Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ca.beq.util.win32.registry
Class ValueIterator

    java.lang.Object
      |
      +--ca.beq.util.win32.registry.ValueIterator

All Implemented Interfaces:
  Iterator

public class ValueIterator
extends Object
implements Iterator

`ValueIterator` provides methods to iterate through the values of a particular registry key.

Version:
  1.0
Author:
  BEQ Technologies Inc.
See Also:
  `RegistryKey`, `RegistryValue`, `Iterator`

Constructor Summary
`ValueIterator(RegistryKey key)` Constructs a new `ValueIterator` to enumerate values from the specified `RegistryKey`.

Method Summary
`boolean` | `hasNext()` Returns `true` if the iteration contains more RegistryValue elements.
`Object` | `next()` Returns the next RegistryValue element in the iteration.
`void` | `remove()` The optional `remove` operation is not supported by this Iterator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueIterator

    public ValueIterator(RegistryKey key)

  Constructs a new `ValueIterator` to enumerate values from the specified `RegistryKey`.
  Parameters:
    `key` - The registry key from which to enumerate values.

Method Detail

### hasNext

    public boolean hasNext()

  Returns `true` if the iteration contains more RegistryValue elements. (In other words, returns `true` if `next` would return a RegistryValue element rather than throwing an exception.)
  Specified by:
    `hasNext` in interface `Iterator`
  Returns:
    `true` if the iterator has more RegistryValue elements.

### next

    public Object next()

  Returns the next RegistryValue element in the iteration.
  Specified by:
    `next` in interface `Iterator`
  Returns:
    the next RegistryValue element in the iteration.
  Throws:
    `NoSuchElementException` - - if the iteration contains no more RegistryValue elements.

### remove

    public void remove()

  The optional `remove` operation is not supported by this Iterator.
  Specified by:
    `remove` in interface `Iterator`
  Throws:
    `UnsupportedOperationException` - - if the remove operation is not supported by this Iterator.

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD